//
//  MusiCog.h
//  MusiCog
//
//  Created by James Maxwell on 2013-06-07.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "mcMusiCogController.h"

#import "mcEvent.h"
#import "mcGroup.h"

#import "ADMMController.h"
#import "ADMMModel.h"
#import "ADMMEntry.h"

#import "mcPerceptionModule.h"

#import "mcWMController.h"
#import "mcWMSegment.h"
#import "mcWMStream.h"

#import "mcCMController.h"
#import "mcCMModel.h"
#import "mcCMLevel.h"
#import "mcCMNode.h"
#import "mcCMEdge.h"
#import "mcCMState.h"
#import "mcCMMotive.h"
#import "mcCMAssociation.h"
#import "mcCMStaticAssociation.h"

#import "mcPMController.h"
#import "mcProductionModule.h"
#import "mcPlanner.h"
#import "mcPMTexture.h"

#import "mcMusicPlayerController.h"
#import "mcMusicPlayer.h"
#import "mcMIDIFileParser.h"

#import "MusiCogLog.h"
#import "musicQuantize.h"
#import "musicUtils.h"
#import "postHelper.h"
#import "vectorUtils.h"
#import "mcWeightedElement.h"
#import "NSPointerArray+MCExtensions.h"
