//
//  mcMIDIFileParser.h
//  MusiCog
//
//  Created by James Maxwell on 2013-06-09.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AudioToolbox/AudioToolbox.h>
#import "mcEvent.h"

typedef struct MidiEventInfo {
    MusicTimeStamp stamp;
    MusicEventType type;
    UInt32 size;
    void* data;
} MidiEventInfo;

@interface mcMIDIFileParser : NSObject

- (NSMutableDictionary*) getNoteEventsFromTrack:(MusicTrack)track inSequence:(MusicSequence)aSequence;

@end
