//
//  mcMusicPlayerController.h
//  MusiCog
//
//  Created by James Maxwell on 2013-06-09.
//  Copyright (c) 2013 James Maxwell. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AudioToolbox/AudioToolbox.h>
#import <VVMIDI/VVMIDI.h>

@class mcMusiCogController, mcMusicPlayer;

@interface mcMusicPlayerController : NSObject

@property (weak, nonatomic) IBOutlet VVMIDIManager* MIDIManager;
@property (weak, nonatomic) mcMusiCogController* musiCog;
@property (strong, nonatomic) mcMusicPlayer* musicPlayer;

- (void) loadSMFToSequence:(CFURLRef)midiFilePath;
- (void) clearAllTracks;
- (void) playSequence;
- (void) stopSequence;
- (id) initWithMusiCog:(mcMusiCogController*)mc;

@end
